Bug 38636 - В состав libnss больше не входит libpkix.
Summary: В состав libnss больше не входит libpkix.
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: libnss (show other bugs)
Version: unstable
Hardware: x86_64 Linux
: P5 normal
Assignee: Alexey Gladkov
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-24 20:41 MSK by Владимир Диденко
Modified: 2020-06-24 21:11 MSK (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Владимир Диденко 2020-06-24 20:41:08 MSK
При обновлении пакета с 3.52 на 3.53 в составе libnss перестала собираться библиотека libpkix, которая нужна для работы многих сторонних приложений, таких как Mattermost, Microsoft Teams и др. 

Для включения libpkix достаточно в build.sh передать дополнительную опцию --enable-libpkix. Если возможно, прошу собрать libnss с этой опцией. Спасибо.
Comment 1 Repository Robot 2020-06-24 21:10:24 MSK
nss-3.53.0-alt4 -> sisyphus:

 Wed Jun 24 2020 Alexey Gladkov <legion@altlinux.ru> 3.53.0-alt4
 - Enable an RFC3280 compliant certificate path validation library (ALT#38636).
Comment 2 Владимир Диденко 2020-06-24 21:11:35 MSK
Спасибо!